### Hierarchy

- Snap
  - CustomSnap

## Index

### Constructors

- constructor

### Methods

- addEventListener
- addFeature
- changed
- dispatchEvent
- dispose
- disposeInternal
- get
- getActive
- getKeys
- getListeners
- getMap
- getProperties
- getRevision
- handleEvent
- handleUpEvent
- hasListener
- notify
- on
- once
- removeEventListener
- removeFeature
- set
- setActive
- setMap
- setProperties
- snapTo
- stopDown
- un
- unset

## Constructors

### constructor

- new CustomSnap(options: {}): CustomSnap

- Overrides Snap.__constructor

  - Defined in contribs/gmf/src/editing/Snapping.js:159

  #### Parameters

  - ##### options: {}

  #### Returns CustomSnap

## Methods

### addEventListener

- addEventListener(type: string, listener: {}): void

- Inherited from Target.addEventListener

  - Defined in node_modules/ol/src/events/Target.js:69

  #### Parameters

  - ##### type: string

    Type.

  - ##### listener: {}

    Listener.

  #### Returns void

### addFeature

- addFeature(feature: Feature<any>, opt_listen: boolean): void

- Inherited from CustomSnap.addFeature

  - Defined in node_modules/ol/src/interaction/Snap.js:195

  Add a feature to the collection of features that we may snap to.

  api

  #### Parameters

  - ##### feature: Feature<any>

    Feature.

  - ##### opt_listen: boolean

    Whether to listen to the feature change or not Defaults to `true`.

  #### Returns void

### changed

- changed(): void

- Inherited from Observable.changed

  - Defined in node_modules/ol/src/Observable.js:36

  Increases the revision counter and dispatches a 'change' event.

  api

  #### Returns void

### dispatchEvent

- dispatchEvent(event: string | BaseEvent | { propagationStopped: boolean; target: Target | EventTarget; type: string }): boolean

- Inherited from Target.dispatchEvent

  - Defined in node_modules/ol/src/events/Target.js:96

  Dispatches an event and calls all listeners listening for events of this type. The event parameter can either be a string or an Object with a `type` property.

  api

  #### Parameters

  - ##### event: string | BaseEvent | { propagationStopped: boolean; target: Target | EventTarget; type: string }

  #### Returns boolean

  `false` if anyone called preventDefault on the event object or if any of the listeners returned false.

### dispose

- dispose(): void

- Inherited from Disposable.dispose

  - Defined in node_modules/ol/src/Disposable.js:23

  Clean up.

  #### Returns void

### disposeInternal

- disposeInternal(): void

- Inherited from Target.disposeInternal

  Overrides Disposable.disposeInternal

  - Defined in node_modules/ol/src/events/Target.js:132
  inheritdoc

  #### Returns void

### get

- get(key: string): any

- Inherited from BaseObject.get

  - Defined in node_modules/ol/src/Object.js:119

  Gets a value.

  api

  #### Parameters

  - ##### key: string

    Key name.

  #### Returns any

  Value.

### getActive

- getActive(): boolean

- Inherited from Interaction.getActive

  - Defined in node_modules/ol/src/interaction/Interaction.js:60

  Return whether the interaction is currently active.

  observable
  api

  #### Returns boolean

  `true` if the interaction is active, `false` otherwise.

### getKeys

- getKeys(): string[]

- Inherited from BaseObject.getKeys

  - Defined in node_modules/ol/src/Object.js:132

  Get a list of object property names.

  api

  #### Returns string[]

  List of property names.

### getListeners

- getListeners(type: string): {}[]

- Inherited from Target.getListeners

  - Defined in node_modules/ol/src/events/Target.js:143

  Get the listeners for a specified event type. Listeners are returned in the order that they will be called in.

  #### Parameters

  - ##### type: string

    Type.

  #### Returns {}[]

  Listeners.

### getMap

- getMap(): PluggableMap

- Inherited from Interaction.getMap

  - Defined in node_modules/ol/src/interaction/Interaction.js:69

  Get the map associated with this interaction.

  api

  #### Returns PluggableMap

  Map.

### getProperties

- getProperties(): Object

- Inherited from BaseObject.getProperties

  - Defined in node_modules/ol/src/Object.js:141

  Get an object of all property names and values.

  api

  #### Returns Object

  Object.

### getRevision

- getRevision(): number

- Inherited from Observable.getRevision

  - Defined in node_modules/ol/src/Observable.js:47

  Get the version number for this object. Each time the object is modified, its version number will be incremented.

  api

  #### Returns number

  Revision.

### handleEvent

- handleEvent(evt: any): boolean

- Inherited from CustomSnap.handleEvent

  Overrides PointerInteraction.handleEvent

  - Defined in node_modules/ol/src/interaction/Snap.js:248
  inheritdoc

  #### Parameters

  - ##### evt: any

  #### Returns boolean

### handleUpEvent

- handleUpEvent(evt: any): boolean

- Inherited from CustomSnap.handleUpEvent

  Overrides PointerInteraction.handleUpEvent

  - Defined in node_modules/ol/src/interaction/Snap.js:294
  inheritdoc

  #### Parameters

  - ##### evt: any

  #### Returns boolean

### hasListener

- hasListener(opt_type: string): boolean

- Inherited from Target.hasListener

  - Defined in node_modules/ol/src/events/Target.js:152

  #### Parameters

  - ##### opt_type: string

    Type. If not provided, `true` will be returned if this event target has any listeners.

  #### Returns boolean

  Has listeners.

### notify

- notify(key: string, oldValue: any): void

- Inherited from BaseObject.notify

  - Defined in node_modules/ol/src/Object.js:149

  #### Parameters

  - ##### key: string

    Key name.

  - ##### oldValue: any

    Old value.

  #### Returns void

### on

- on(type: string | string[], listener: {}): {} | {}[]

- Inherited from Observable.on

  - Defined in node_modules/ol/src/Observable.js:60

  Listen for a certain type of event.

  api

  #### Parameters

  - ##### type: string | string[]

    The event type or array of event types.

  - ##### listener: {}

    The listener function.

  #### Returns {} | {}[]

  Unique key for the listener. If called with an array of event types as the first argument, the return will be an array of keys.

### once

- once(type: string | string[], listener: {}): {} | {}[]

- Inherited from Observable.once

  - Defined in node_modules/ol/src/Observable.js:82

  Listen once for a certain type of event.

  api

  #### Parameters

  - ##### type: string | string[]

    The event type or array of event types.

  - ##### listener: {}

    The listener function.

  #### Returns {} | {}[]

  Unique key for the listener. If called with an array of event types as the first argument, the return will be an array of keys.

### removeEventListener

- removeEventListener(type: string, listener: {}): void

- Inherited from Target.removeEventListener

  - Defined in node_modules/ol/src/events/Target.js:162

  #### Parameters

  - ##### type: string

    Type.

  - ##### listener: {}

    Listener.

  #### Returns void

### removeFeature

- removeFeature(feature: Feature<any>, opt_unlisten: boolean): void

- Inherited from CustomSnap.removeFeature

  - Defined in node_modules/ol/src/interaction/Snap.js:310

  Remove a feature from the collection of features that we may snap to.

  api

  #### Parameters

  - ##### feature: Feature<any>

    Feature

  - ##### opt_unlisten: boolean

    Whether to unlisten to the feature change or not. Defaults to `true`.

  #### Returns void

### set

- set(key: string, value: any, opt_silent: boolean): void

- Inherited from BaseObject.set

  - Defined in node_modules/ol/src/Object.js:164

  Sets a value.

  api

  #### Parameters

  - ##### key: string

    Key name.

  - ##### value: any

    Value.

  - ##### opt_silent: boolean

    Update without triggering an event.

  #### Returns void

### setActive

- setActive(active: boolean): void

- Inherited from Interaction.setActive

  - Defined in node_modules/ol/src/interaction/Interaction.js:89

  Activate or deactivate the interaction.

  observable
  api

  #### Parameters

  - ##### active: boolean

    Active.

  #### Returns void

### setMap

- setMap(map: any): void

- Inherited from CustomSnap.setMap

  Overrides Interaction.setMap

  - Defined in node_modules/ol/src/interaction/Snap.js:336
  inheritdoc

  #### Parameters

  - ##### map: any

  #### Returns void

### setProperties

- setProperties(values: Object, opt_silent: boolean): void

- Inherited from BaseObject.setProperties

  - Defined in node_modules/ol/src/Object.js:183

  Sets a collection of key-value pairs. Note that this changes any existing properties and adds new ones (it does not remove any existing properties).

  api

  #### Parameters

  - ##### values: Object

    Values.

  - ##### opt_silent: boolean

    Update without triggering an event.

  #### Returns void

### snapTo

- snapTo(pixel: number[], pixelCoordinate: number[], map: PluggableMap): {}

- Inherited from CustomSnap.snapTo

  - Defined in node_modules/ol/src/interaction/Snap.js:374

  #### Parameters

  - ##### pixel: number[]

    Pixel

  - ##### pixelCoordinate: number[]

    Coordinate

  - ##### map: PluggableMap

    Map.

  #### Returns {}

  Snap result

### stopDown

- stopDown(handled: boolean): boolean

- Inherited from PointerInteraction.stopDown

  - Defined in node_modules/ol/src/interaction/Pointer.js:174

  This function is used to determine if "down" events should be propagated to other interactions or should be stopped.

  #### Parameters

  - ##### handled: boolean

    Was the event handled by the interaction?

  #### Returns boolean

  Should the `down` event be stopped?

### un

- un(type: string | string[], listener: {}): void

- Inherited from Observable.un

  - Defined in node_modules/ol/src/Observable.js:101

  Unlisten for a certain type of event.

  api

  #### Parameters

  - ##### type: string | string[]

    The event type or array of event types.

  - ##### listener: {}

    The listener function.

  #### Returns void

### unset

- unset(key: string, opt_silent: boolean): void

- Inherited from BaseObject.unset

  - Defined in node_modules/ol/src/Object.js:195

  Unsets a property.

  api

  #### Parameters

  - ##### key: string

    Key name.

  - ##### opt_silent: boolean

    Unset without triggering an event.

  #### Returns void

Generated using TypeDoc